> ## Documentation Index
> Fetch the complete documentation index at: https://docs.story.foundation/llms.txt
> Use this file to discover all available pages before exploring further.

# GetPeriodDelegationByDelegatorAddressAndID



## OpenAPI

````yaml /api-reference/consensus-client/consensus-client-api.json get /staking/validators/{validator_addr}/delegators/{delegator_addr}/period_delegations/{period_delegation_id}
openapi: 3.1.0
info:
  title: Consensus Client Api
  description: ''
  version: 1.0.0
servers: []
security: []
tags:
  - name: Cosmos Origin
  - name: Cosmos Origin/Staking
  - name: Cosmos Origin/Auth
  - name: Cosmos Origin/Bank
  - name: Cosmos Origin/Distribution
  - name: Cosmos Origin/Mint
  - name: Story Extend
  - name: Story Extend/Staking
paths:
  /staking/validators/{validator_addr}/delegators/{delegator_addr}/period_delegations/{period_delegation_id}:
    get:
      tags:
        - Story Extend/Staking
      summary: GetPeriodDelegationByDelegatorAddressAndID
      parameters:
        - name: validator_addr
          in: path
          description: validator_addr defines the validator address to query for.
          required: true
          example: '0xdb8e606ad7c02f37e43d10a10126791dc94b0434'
          schema:
            type: string
        - name: delegator_addr
          in: path
          description: delegator_addr defines the delegator address to query for.
          required: true
          example: '0xdb8e606ad7c02f37e43d10a10126791dc94b0434'
          schema:
            type: string
        - name: period_delegation_id
          in: path
          description: the id of delegation
          required: true
          example: '0'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: object
                    properties:
                      delegator_address:
                        type: string
                      validator_address:
                        type: string
                      period_delegation_id:
                        type: string
                      shares:
                        type: string
                      rewards_shares:
                        type: string
                      end_time:
                        type: string
                    required:
                      - delegator_address
                      - validator_address
                      - period_delegation_id
                      - shares
                      - rewards_shares
                      - end_time
                  error:
                    type: string
                required:
                  - code
                  - msg
                  - error
              examples:
                '1':
                  summary: Success
                  value:
                    code: 200
                    msg:
                      delegator_address: '0xdb8e606ad7c02f37e43d10a10126791dc94b0434'
                      validator_address: '0xdb8e606ad7c02f37e43d10a10126791dc94b0434'
                      period_delegation_id: '0'
                      shares: '1000000.000000000000000000'
                      rewards_shares: '1000000.000000000000000000'
                      end_time: '2024-04-16T11:04:40.60280319Z'
                    error: ''
          headers: {}
      deprecated: false
      security: []

````